"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(["\n  *,\n  *::after,\n  *::before {\n    box-sizing: border-box;\n  }\n\n  html {\n    font-size: 14px;\n    font-family: -apple-system, system-ui, BlinkMacSystemFont, \"Segoe UI\", \"Helvetica Neue\", Arial, sans-serif;\n  }\n\n  body {\n    margin: 0;\n    padding: 0;\n  }\n"], ["\n  *,\n  *::after,\n  *::before {\n    box-sizing: border-box;\n  }\n\n  html {\n    font-size: 14px;\n    font-family: -apple-system, system-ui, BlinkMacSystemFont, \"Segoe UI\", \"Helvetica Neue\", Arial, sans-serif;\n  }\n\n  body {\n    margin: 0;\n    padding: 0;\n  }\n"]),
    _templateObject2 = _taggedTemplateLiteral(["\n  position: absolute;\n\n  display: flex;\n  flex-direction: column;\n\n  width: 100vw;\n  height: 100vh;\n\n  background-color: ", ";\n  color: ", ";\n"], ["\n  position: absolute;\n\n  display: flex;\n  flex-direction: column;\n\n  width: 100vw;\n  height: 100vh;\n\n  background-color: ", ";\n  color: ", ";\n"]);

var _react = require("react");

var React = _interopRequireWildcard(_react);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

// Theme information for styling editor components. This is copied verbatim from
// `syntect` and that in turn is derived from TextMate's `.tmTheme` format. Many
// fields may not be used.
//
// @see https://github.com/trishume/syntect/blob/master/src/highlighting/theme.rs
(0, _styledComponents.injectGlobal)(_templateObject);

var Content = _styledComponents2.default.main(_templateObject2, function (props) {
  return props.theme.background;
}, function (props) {
  return props.theme.foreground;
});

var App = function App(_ref) {
  var theme = _ref.theme,
      children = _ref.children;
  return React.createElement(
    _styledComponents.ThemeProvider,
    { theme: theme },
    React.createElement(
      Content,
      null,
      children
    )
  );
};

exports.default = App;